/*
 * BreakSessionBean.java
 *
 * Created on 12 February 2007, 11:46
 *
 *
 * www.starjar.com
 *             +
 *     +       *       +
 *       *     *     *
 *         *   *   *
 *           * * *
 *   - * * * * * * * * * -
 *           * * *
 *         *   *   *
 *       *     *     *
 *     +       *       +
 *             +
 *
 *     SSSS  TTTTTTT    A     RRRRR   JJJJJJJ    A     RRRRR
 *    S    S    T      A A    R    R     J      A A    R    R
 *    S         T     A   A   R    R     J     A   A   R    R
 *      SSS     T    A     A  RRRRR      J    A     A  RRRRR
 *         S    T   AAAAAAAAA R   R      J   AAAAAAAAA R   R
 *    S    S    T   A       A R    R  J  J   A       A R    R  ..
 *     SSS      T   A       A R    R   JJJ   A       A R    R  ..
 *
 * Copyright (c) 2007 Peter Henderson. All Rights Reserved.
 */

package breakglassfishslowinitial;

import javax.annotation.security.RolesAllowed;
import javax.ejb.Stateless;

/**
 *
 * @author peter
 */
@Stateless
public class BreakSessionBean implements BreakSessionRemote, BreakSessionLocal {

    /**
     * Simple business method.
     */
    @RolesAllowed({"User"})    
    public String businessMethod(String arg1) {
        System.out.println("in businessMethod arg=" + arg1);
        
        return arg1 + " magic " + arg1;
    }
    

    
}
